因为GAE的问题打算转用Grails,但是真正用起来还是发现不少问题,虽然很多IDE号称可以用于调试Grails/Groovy,但是真正使用起来不是那么回事,我已经试了Eclipse和Netbeans,都不能调试,后来看到说Intellij对Grails的支持是最好的,刚好我们用的是商业版的Intellij,下了插件,按照别人的文章发现在Settings中根本找不到Grails/Groovy的配置项,找了一大圈,到插件的主页才看到别人提问,有人回答说新版本的插件把那个配置移到工程的属性里面去了,添加了Grails Facets后就可以配置了,如回答所言添加了,发现Grails1.1.1的配置完点击Apply或者OK后那个Grails的配置消失了,试了几次都如此,无语,继续到插件的主要看,看到不少人要求IDEA尽快更新插件以支持Grails1.1,但是IDEA无动于衷,那个插件最后的更新时间是一年前了。如果Grails不能解决在IDE里面的调试问题,那么使用Grails只能加快一部分的开发,而减慢真正的开发中耗时的调试工作,总不见得让我们加log去做调试的工作吧(虽然Groovy是动态语言,随时修改随时生效)。不过Intellij对Grails的支持确实是最好的,起码我在Groovy文件中设置的断点可以正常的起作用。

(Visited 106 times, 1 visits today)